CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
infinite quotes get quote_abc123Get a quote (quote_abc123).import requests
url = "https://sandbox.api.infinite.dev/v1/quotes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/quotes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/quotes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/quotes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/quotes/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/quotes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"sourceAmount": {
"currency": "USD",
"exponent": 2,
"value": "12345",
"displayValue": "123.45"
},
"destinationAmount": {
"currency": "USD",
"exponent": 2,
"value": "12345",
"displayValue": "123.45"
},
"exchangeRate": "1.00500",
"infiniteFee": {
"fixed": null,
"variable": null
},
"createdAt": "2026-09-15T10:30:00Z",
"lockable": true,
"id": "quote_abc123",
"developerFee": {
"fixed": null,
"variable": null
},
"sourceRail": "ACH",
"destinationRail": "SWIFT",
"expiresAt": "2026-09-15T10:35:00Z",
"route": {
"supported": true,
"flow": "CRYPTO_TO_SWIFT",
"summary": "USDC → USD",
"totalFeeBps": 2,
"estimate": {
"estimatedReceiveAt": "2026-09-17T10:30:00Z",
"estimatedMinutes": 2880,
"nextCutoff": "2026-09-15T15:00:00Z",
"cutoffTimezone": "Asia/Singapore"
},
"minimumAmount": {
"currency": "USD",
"exponent": 2,
"value": "12345",
"displayValue": "123.45"
},
"legs": [
{
"type": "payout_fiat",
"inputCurrency": "USDC",
"outputCurrency": "USD",
"inputRail": "ETHEREUM",
"outputRail": "SWIFT",
"feeBps": 2,
"settlementType": "T+2"
}
]
}
}Quotes
Get a quote by ID
GET
/
v1
/
quotes
/
{id}
CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
infinite quotes get quote_abc123Get a quote (quote_abc123).import requests
url = "https://sandbox.api.infinite.dev/v1/quotes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/quotes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/quotes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/quotes/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/quotes/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/quotes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"sourceAmount": {
"currency": "USD",
"exponent": 2,
"value": "12345",
"displayValue": "123.45"
},
"destinationAmount": {
"currency": "USD",
"exponent": 2,
"value": "12345",
"displayValue": "123.45"
},
"exchangeRate": "1.00500",
"infiniteFee": {
"fixed": null,
"variable": null
},
"createdAt": "2026-09-15T10:30:00Z",
"lockable": true,
"id": "quote_abc123",
"developerFee": {
"fixed": null,
"variable": null
},
"sourceRail": "ACH",
"destinationRail": "SWIFT",
"expiresAt": "2026-09-15T10:35:00Z",
"route": {
"supported": true,
"flow": "CRYPTO_TO_SWIFT",
"summary": "USDC → USD",
"totalFeeBps": 2,
"estimate": {
"estimatedReceiveAt": "2026-09-17T10:30:00Z",
"estimatedMinutes": 2880,
"nextCutoff": "2026-09-15T15:00:00Z",
"cutoffTimezone": "Asia/Singapore"
},
"minimumAmount": {
"currency": "USD",
"exponent": 2,
"value": "12345",
"displayValue": "123.45"
},
"legs": [
{
"type": "payout_fiat",
"inputCurrency": "USDC",
"outputCurrency": "USD",
"inputRail": "ETHEREUM",
"outputRail": "SWIFT",
"feeBps": 2,
"settlementType": "T+2"
}
]
}
}Authorizations
API Key in Bearer format (e.g., Bearer sk_test_...)
Headers
API key
Path Parameters
Quote ID
Response
Quote retrieved successfully
Source amount with currency details
Show child attributes
Show child attributes
Destination amount with currency details
Show child attributes
Show child attributes
Exchange rate (inclusive of all fees)
Example:
"1.00500"
Infinite fee breakdown
Show child attributes
Show child attributes
Quote creation timestamp
Example:
"2026-09-15T10:30:00Z"
Whether the exchange rate can be locked for 24 hours
Example:
true
Quote ID (only present for held quotes)
Example:
"quote_abc123"
Developer fee breakdown
Show child attributes
Show child attributes
Source payment rail
Example:
"ACH"
Destination payment rail
Example:
"SWIFT"
Quote expiration timestamp (only present for held quotes)
Example:
"2026-09-15T10:35:00Z"
Route information including timing and fee estimates
Show child attributes
Show child attributes
Was this page helpful?